> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goodgrants.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> Track Good Grants API changes by version and release date.

<Update label="06-05-2025" description="Breaking changes - upgrade to version 2.3">
  * All `contributor` responses now return contributors as an object with `slug`, `tab`, and contributor field objects.
  * All `attachment` responses now return a tab object for each attachment.
</Update>

<Update label="20-04-2025" description="Version 2.3">
  * Fixed response payload for comments in the assignments `GET` endpoints.
</Update>

<Update label="13-01-2025" description="Version 2.3">
  * Added endpoints for realtime applications.
</Update>

<Update label="27-11-2024" description="Version 2.3">
  * Added endpoints for listing and viewing action tasks.
  * Endpoint for creating an action task is now `POST /action-task`.
</Update>

<Update label="13-11-2024" description="Version 2.3">
  * Added `items_array` field to list and get order endpoints. Returns an array of objects for each order item.
</Update>

<Update label="30-10-2024" description="Version 2.3">
  * All application, user, and contributor date and date-time fields now accept ISO 8601 Zulu format.
  * All application, user, and contributor date and date-time fields now return values in ISO 8601 Zulu format.
</Update>

<Update label="03-10-2024" description="Version 2.3">
  * Allocation payment endpoints now support ISO 8601 Zulu format in `date_due` and `date_paid` fields.
  * Allocation payment endpoints now return dates and date-times in ISO 8601 Zulu format.
  * `reference` field now returns `null` when not provided, instead of `''`.
</Update>

<Update label="05-09-2024" description="Breaking changes - upgrade to version 2.2">
  * All `form` fields in responses now return as an object with `slug`, `name`, and `link` fields.
  * All `name` and `description` fields now return as an object with translations for the requested language.
  * `managers` field in create, update, get, and list chapter endpoints now returns an array of manager objects with `slug`, `first_name`, `last_name`, and `link` fields.
  * Improved payload and response consistency for fields that use checkbox, date, or datetime types.
</Update>

<Update label="21-08-2024" description="Version 2.2">
  * Fixed `scoreset` `name` property to return translations.
</Update>

<Update label="01-08-2024" description="Version 2.2">
  * Added `custom_deadline` field in create, update, get, and list application endpoints.
</Update>

<Update label="24-07-2024" description="Version 2.2">
  * Added `Get account` endpoint.
</Update>

<Update label="29-05-2024" description="Version 2.2">
  * Added `List rounds` and `Get round` endpoints.
</Update>

<Update label="18-04-2024" description="Version 2.2">
  * Added URL filter to `List webhooks` and `Get webhook` endpoints.
  * Added `signed_key` to webhook endpoint responses.
</Update>

<Update label="23-01-2024" description="Version 2.1">
  * Added new status in allocation payment endpoints: `failed_permanently`.
</Update>

<Update label="29-06-2023" description="Version 2.1">
  * Added request example to create allocation payment endpoint: `POST /allocation-payment`.
</Update>

<Update label="12-06-2023" description="Version 2.1">
  * Added `List documents` endpoint.
  * Added `Get document` endpoint.
  * Added `Create document` endpoint.
  * Added `Delete document` endpoint.
</Update>

<Update label="31-05-2023" description="Version 2.1">
  * Added `contributor` endpoint for viewing, updating, and deleting contributors.
</Update>

<Update label="03-05-2023" description="Version 2.1">
  * Added `List forms` and `Get form` endpoints.
</Update>

<Update label="27-04-2023" description="Version 2.1">
  * Added `List allocation payments` endpoint.
  * Added `Get allocation payment` endpoint.
  * Added `Create allocation payment` endpoint.
  * Added `Update allocation payment` endpoint.
  * Added `Delete allocation payment` endpoint.
  * Added new subscription event types to `List webhooks` endpoint:
    * `AllocationPaymentWasCreated`
    * `AllocationPaymentWasUpdated`
    * `AllocationPaymentWasDeleted`
    * `AllocationPaymentStatusWasChanged`
    * `AllocationWasCreated`
</Update>

<Update label="22-03-2023" description="Version 2.1">
  * Added optional `grant_status` and `grant_end_date` fields to create and update application endpoints.
  * Added `grant_status` and `grant_end_date` to response object for list, create, update, and tag application endpoints.
  * Added grant status endpoints: `List grant statuses` and `Get grant status`.
</Update>

<Update label="08-08-2022" description="Version 2.1">
  * Added form slug to:
    * Query params and response body for `List categories` endpoint
    * Response body for `Get category` endpoint
    * Request body and response body for `Create category` endpoint
    * Response body for `Update category` endpoint
    * Query params and response body for `List applications` endpoint
    * Response body for `Get applications` endpoint
    * Request body and response body for `Create applications` endpoint
    * Response body for `Update applications` endpoint
    * Query params and response body for `List fields` endpoint
</Update>

<Update label="23-08-2021" description="Version 2.1">
  * Added `List fields` endpoint.
</Update>

<Update label="24-06-2021" description="Breaking changes - upgrade to version 2.1">
  * Added `attachment` endpoints for viewing, updating, and deleting attachments.
  * Changed `name` to `filename` in the response body for get attachment, list attachments, update attachment, get category, and get application endpoints.
  * Changed `name` to `filename` in the request body for upload application file, upload application attachment, upload chapter file, upload user file endpoints.
  * Grouped `filename`, `token`, `download`, and `link` under `file` in the response body for the upload application attachment and get application endpoints.
</Update>

<Update label="17-08-2020" description="Version 2.0">
  * Added webhooks.
</Update>
